import request from '@/utils/request'

// 查询患者管理任务执行记录列表
export function listTaskExecuteRecord(query) {
    return request({
        url: '/system/taskExecuteRecord/list',
        method: 'get',
        params: query
    })
}
// 查询患者管理任务执行记录详细
export function getTaskExecuteRecord(id) {
    return request({
        url: '/system/taskExecuteRecord/' + id,
        method: 'get'
    })
}

// 新增患者管理任务执行记录
export function addTaskExecuteRecord(data) {
    return request({
        url: '/system/taskExecuteRecord',
        method: 'post',
        data: data
    })
}

// 修改患者管理任务执行记录
export function updateTaskExecuteRecord(data) {
    return request({
        url: '/system/taskExecuteRecord',
        method: 'put',
        data: data
    })
}

// 删除患者管理任务执行记录
export function delTaskExecuteRecord(id) {
    return request({
        url: '/system/taskExecuteRecord/' + id,
        method: 'delete'
    })
}
export function selectPatientQuestionSubmit(taskExecuteRecordId) {
    return request({
        url: `/system/taskExecuteRecord/selectPatientQuestionSubmit?taskExecuteRecordId=${taskExecuteRecordId}`,
        method: 'get'
    })
}

// 入院记录
export function selectVisitRecord(id) {
    return request({
        url: `/system/taskExecuteRecord/selectVisitRecord?id=${id}` ,
        method: 'get'
    })
}
